﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Updating Entitlement Update Rules</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Updating Entitlement Update Rules</h1>
        <p>Rule owners and admin user can update the Entitlement Update Rules, that are active. There are various actions you can perform on the Entitlement Update Rules, such as Delete, Edit, Disabled, Enable. Following section provides details about each of the actions.</p>
        <ul>
            <li>
                <p><b>Delete</b>: Click <b>Delete</b> if you want to delete the Rule. Deleted rules cannot be seen in the UI. Rules once deleted cannot be obtained back.</p>
            </li>
            <li>
                <p><b>Edit</b>: Click <b>Edit</b> if you want to modify the Rule. There is a modification workflow that you can associate for Rule Modifications. You can attach workflow from <b>ADMIN &gt; Global Configurations &gt; Rules &gt; Rule Modification Workflow</b>. For more information about attaching workflows, for Rule Addition Workflow and Rule Modification Workflow, refer the section .</p>
            </li>
            <li>
                <p><b>Disable</b>: Click <b>Disable</b> to disable an Active rule. The Disable button is enabled only for Active Rules. For inactive rules, the Disable button is not enabled. You can also enable disabled rules.</p>
            </li>
            <li>
                <p><b>Enable</b>: Click <b>Enable</b> to enable the disabled rules. The Enable button is enabled only for disabled rules.</p>
            </li>
        </ul>
        <p>To update an entitlement update rule, perform the following steps:</p>
        <ol>
            <li>Go to <b>ADMIN &gt;&#160;Policies&#160; &gt; Entitlement Update Rule.</b></li>
            <li>Click <strong>Update </strong>against the rule you want to update.</li>
            <li>
                <p class="auto-cursor-target">Update the rule values in the <strong>Entitlement Update Rule</strong> parameters and click <strong>Send for Approval</strong>.<br />The values in the parameters marked with an asterisk (*) are mandatory.</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col class="TableStyle-Default-Table-Column-Column1" />
                        <col class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Status</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">You can change the status of entitlement update rule to active or inactive. Select the status from the drop-down list.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Rule Description</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the appropriate rule description.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <th colspan="2" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text"><strong>Action Type&#160;</strong>
                                    </p>
                                </th>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">S3</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Primarily S3 is used and related with Amazon S3 Buckets. To define an entitlement rule related to S3 buckets, you need to select S3.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">EC2</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">EC2 indicates the Amazon AWS EC2 instance. To define an&#160;entitlement rule related to EC2 instance, you need to select EC2.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">BOX</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">BOX refers to the cloud content management and file sharing application.&#160;To define an&#160;entitlement rule related to Box cloud app, you need to select BOX.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">VPC</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">VPC indicates the Amazon Virtual Private Cloud (VPC) which is an on-demand configurable pool of shared computing resources within a public cloud environment. To define an&#160;entitlement rule related to AWS VPC, you need to select VPC.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">IAM</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text"><b>AWS IAM</b> provides identity management capabilities for <b>AWS</b> customers by enabling IT administrators to control which users have permission to access various <b>AWS</b> resources and the type of actions they can perform. To define an entitlement rule related to AWS IAM, you need to select IAM.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">KMS</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">AWS Key Management Service (KMS) is a managed service that makes it easy for you to create and control the encryption keys used to encrypt your data.&#160;To define an&#160;entitlement rule related to AWS KMS, you need to select KMS.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">SNS</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Amazon Simple Notification Service (SNS) is a notification service provided as part ofAmazon Web Services.&#160;SNS can also deliver messages by SMS.&#160;To define an&#160;entitlement rule related to AWS SNS, you need to select SNS.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">REDSHIFT</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Amazon Redshift refers to the Internet hosting services and data warehouse, which forms a larger group of AWS cloud-computing platform.&#160;To define an&#160;entitlement rule related to AWS Redshift, you need to select Redshift.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">EBSVolume</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Elastic Block Store (<b>Amazon EBS</b>) provides persistent block storagevolumesfor use with&#160;AmazonEC2 instances in theAWSCloud.&#160;To define an&#160;entitlement rule related to AWS EBSVolume, you need to select EBSVolume.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Config</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text"><b>AWS Config</b> is a service that enables you to assess, audit, and evaluate the configurations of your <b>AWS</b> resources.&#160;To define an&#160;entitlement rule related to AWS config, you need to select <b>Config</b>.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">GoogleApps</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">GoogleApps or GApps refers to the Google suite of Cloud based messaging and collaborative tools hosted on Google's own servers.&#160;To define an&#160;entitlement rule related to GApps, you need to select <b>GoogleApps</b>.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">AWSObject</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">AWS Object storage solution such as Amazon S3 and Amazon Glacier enables you to manage your storage in one place with an easy to use application interface.&#160;To define an&#160;entitlement rule related to AWS object, you need to select <b>AWS Object</b>.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Office365</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Office 365 provides the Microsoft Office cloud subscription services.&#160;To define an&#160;entitlement rule related to Office 365, you need to select <b>Office 365</b>.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Select Control</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Allows you to select the preventative analytical control defined from Non-ES Runtime Analytics.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Action for Entitlement Update Rule</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">-Notify as Email: Allows you to send notification email to the notifier configured in the email template selected. Selecting this option, opens up one more option to select email template. Select the email template based on which you want to send the notification email.</p>
                                    <p class="table-text">-Stop EC2 Instance: Applies for the AWS related actions selected in <strong>Action Type</strong> (above). This will stop the EC2 instance.</p>
                                    <p class="table-text">-Send SNS notification: Applies for AWS related&#160;actions selected in <strong>Action Type</strong> (above). This will send the a simple notification service (SNS).&#160;</p>
                                    <p class="table-text">-Quarantine: This action applies for Box and GApps cloud related actions selected in&#160;<strong>Action Type</strong> (above). Quarantine action moves the file / folder in the Quarantine folder.</p>
                                    <p class="table-text">-Remove All Collaborators Access: This action applies to Box cloud application&#160;selected in&#160;<strong>Action Type</strong> (above). Remove All Collaborators Access will remove the access.&#160;</p>
                                    <p class="table-text">-Remove Sharing Link:&#160;This action applies to Box cloud application&#160;selected in&#160;<strong>Action Type</strong> (above). Remove Sharing Link will remove the sharing link.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Add Action</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">To add additional actions, click on the <strong>+Add Action</strong> and provide the parameter details.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Remove</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click <strong>Remove</strong> to remove an action.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Rule Owner</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Click <strong>Add Rule Owner</strong> to select the user you want to assign rule ownership. Select the user to be assigned as rule owner and click <strong>Save</strong>.&#160;</p>
                                    <p class="table-text">Identity Access Rules defined are displayed to Rule Owners and to Admin User only. Users who are not rule owners or Admin user cannot view the Identity Access Rules defined. This has been provided to enforce security and regulate control on rules only to users who should be governing any modification to the rules.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Username</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the username of the rule owner.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Rank</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the rank of the rule owner.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">First Name</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the first name of the rule owner.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Last Name</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the last name of the rule owner.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">City</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the city name of the rule owner.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Email</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the email address of the rule owner.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Comments</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Displays the comments, if any.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">End Date</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Displays the end date as applicable.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>Click <strong>Send For Approval</strong> to send the rule for approval.&#160;Click <strong>Send for Approval</strong> to send the updated Entitlement Update rule for approval. A Request Id is created based if there is a workflow associated within <strong>Global Configurations &gt; Rules</strong>. Once the rule is approved from Request Approval by the user as per the workflow created, the workflow can be used and modifications are reflected.</li>
            <li>Click <strong>Update History</strong> to view the history of actions that are done. It displays the old action and new action details. In addition, it also shows Old Owners and New Owners added or removed as Rule owners for the respective rule and who has requested the action.</li>
            <li>On submission, you can view the updated user update rule details in the <strong>Entitlement Update Rule</strong>.</li>
            <li>Execute the WSRETRY Job from <strong>Utility &gt; Provisioning Job (WSRETRY)</strong> to create the tasks, complete the tasks and automatically perform provisioning or de-provisioning of specified actions to the third-party application.&#160;</li>
        </ol>
    </body>
</html>